%global pypi_name phpserialize

Name:           python-%{pypi_name}
Version:        1.3
Release:        1%{?dist}
Summary:        a port of the serialize and unserialize functions of php to python

License:        BSD
URL:            http://github.com/mitsuhiko/phpserialize
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
phpserialize a port of the serialize and unserialize functions of php to
python. This module implements the python serialization interface (eg: provides
dumps, loads and similar functions).
Usage
>>> from phpserialize import *
>>> obj dumps("Hello World")
>>> loads(obj)
'Hello World'

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
phpserialize a port of the serialize and unserialize functions of php to
python. This module implements the python serialization interface (eg: provides
dumps, loads and similar functions).
Usage
>>> from phpserialize import *
>>> obj dumps("Hello World")
>>> loads(obj)
'Hello World'


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# tests fail with "ModuleNotFoundError: No module named 'tests'"
# disabling for now
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 1.3-1
- initial package.
